# Form implementation generated from reading ui file 'src/eric7/Plugins/WizardPlugins/DotDesktopWizard/DotDesktopWizardDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_DotDesktopWizardDialog(object):
    def setupUi(self, DotDesktopWizardDialog):
        DotDesktopWizardDialog.setObjectName("DotDesktopWizardDialog")
        DotDesktopWizardDialog.resize(650, 612)
        DotDesktopWizardDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(DotDesktopWizardDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.label = QtWidgets.QLabel(parent=DotDesktopWizardDialog)
        self.label.setObjectName("label")
        self.horizontalLayout_2.addWidget(self.label)
        self.typeComboBox = QtWidgets.QComboBox(parent=DotDesktopWizardDialog)
        self.typeComboBox.setObjectName("typeComboBox")
        self.horizontalLayout_2.addWidget(self.typeComboBox)
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_2.addItem(spacerItem)
        self.verticalLayout.addLayout(self.horizontalLayout_2)
        self.dataTabWidget = QtWidgets.QTabWidget(parent=DotDesktopWizardDialog)
        self.dataTabWidget.setObjectName("dataTabWidget")
        self.basicTab = QtWidgets.QWidget()
        self.basicTab.setObjectName("basicTab")
        self.gridLayout = QtWidgets.QGridLayout(self.basicTab)
        self.gridLayout.setObjectName("gridLayout")
        self.label_3 = QtWidgets.QLabel(parent=self.basicTab)
        self.label_3.setObjectName("label_3")
        self.gridLayout.addWidget(self.label_3, 0, 0, 1, 1)
        self.typeEdit = QtWidgets.QLineEdit(parent=self.basicTab)
        self.typeEdit.setText("Application")
        self.typeEdit.setClearButtonEnabled(True)
        self.typeEdit.setObjectName("typeEdit")
        self.gridLayout.addWidget(self.typeEdit, 0, 1, 1, 3)
        self.label_2 = QtWidgets.QLabel(parent=self.basicTab)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 1, 0, 1, 1)
        self.versionEdit = QtWidgets.QLineEdit(parent=self.basicTab)
        self.versionEdit.setText("1.0")
        self.versionEdit.setClearButtonEnabled(True)
        self.versionEdit.setObjectName("versionEdit")
        self.gridLayout.addWidget(self.versionEdit, 1, 1, 1, 3)
        self.label_4 = QtWidgets.QLabel(parent=self.basicTab)
        self.label_4.setObjectName("label_4")
        self.gridLayout.addWidget(self.label_4, 2, 0, 1, 1)
        self.nameEdit = QtWidgets.QLineEdit(parent=self.basicTab)
        self.nameEdit.setClearButtonEnabled(True)
        self.nameEdit.setObjectName("nameEdit")
        self.gridLayout.addWidget(self.nameEdit, 2, 1, 1, 3)
        self.label_5 = QtWidgets.QLabel(parent=self.basicTab)
        self.label_5.setObjectName("label_5")
        self.gridLayout.addWidget(self.label_5, 3, 0, 1, 1)
        self.genericNameEdit = QtWidgets.QLineEdit(parent=self.basicTab)
        self.genericNameEdit.setClearButtonEnabled(True)
        self.genericNameEdit.setObjectName("genericNameEdit")
        self.gridLayout.addWidget(self.genericNameEdit, 3, 1, 1, 3)
        self.label_6 = QtWidgets.QLabel(parent=self.basicTab)
        self.label_6.setObjectName("label_6")
        self.gridLayout.addWidget(self.label_6, 4, 0, 1, 1)
        self.commentEdit = QtWidgets.QLineEdit(parent=self.basicTab)
        self.commentEdit.setClearButtonEnabled(True)
        self.commentEdit.setObjectName("commentEdit")
        self.gridLayout.addWidget(self.commentEdit, 4, 1, 1, 3)
        self.label_7 = QtWidgets.QLabel(parent=self.basicTab)
        self.label_7.setObjectName("label_7")
        self.gridLayout.addWidget(self.label_7, 5, 0, 1, 1)
        self.iconFileEdit = QtWidgets.QLineEdit(parent=self.basicTab)
        self.iconFileEdit.setClearButtonEnabled(True)
        self.iconFileEdit.setObjectName("iconFileEdit")
        self.gridLayout.addWidget(self.iconFileEdit, 5, 1, 1, 3)
        self.label_10 = QtWidgets.QLabel(parent=self.basicTab)
        self.label_10.setObjectName("label_10")
        self.gridLayout.addWidget(self.label_10, 6, 0, 1, 1)
        self.tryExecEdit = QtWidgets.QLineEdit(parent=self.basicTab)
        self.tryExecEdit.setClearButtonEnabled(True)
        self.tryExecEdit.setObjectName("tryExecEdit")
        self.gridLayout.addWidget(self.tryExecEdit, 6, 1, 1, 3)
        self.label_9 = QtWidgets.QLabel(parent=self.basicTab)
        self.label_9.setObjectName("label_9")
        self.gridLayout.addWidget(self.label_9, 7, 0, 1, 1)
        self.execEdit = QtWidgets.QLineEdit(parent=self.basicTab)
        self.execEdit.setClearButtonEnabled(True)
        self.execEdit.setObjectName("execEdit")
        self.gridLayout.addWidget(self.execEdit, 7, 1, 1, 3)
        self.label_30 = QtWidgets.QLabel(parent=self.basicTab)
        self.label_30.setObjectName("label_30")
        self.gridLayout.addWidget(self.label_30, 8, 0, 1, 1)
        self.pathEdit = QtWidgets.QLineEdit(parent=self.basicTab)
        self.pathEdit.setClearButtonEnabled(True)
        self.pathEdit.setObjectName("pathEdit")
        self.gridLayout.addWidget(self.pathEdit, 8, 1, 1, 3)
        self.label_12 = QtWidgets.QLabel(parent=self.basicTab)
        self.label_12.setObjectName("label_12")
        self.gridLayout.addWidget(self.label_12, 9, 0, 1, 1)
        self.terminalCheckBox = QtWidgets.QCheckBox(parent=self.basicTab)
        self.terminalCheckBox.setText("")
        self.terminalCheckBox.setObjectName("terminalCheckBox")
        self.gridLayout.addWidget(self.terminalCheckBox, 9, 1, 1, 1)
        spacerItem1 = QtWidgets.QSpacerItem(504, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout.addItem(spacerItem1, 9, 2, 1, 2)
        self.label_11 = QtWidgets.QLabel(parent=self.basicTab)
        self.label_11.setObjectName("label_11")
        self.gridLayout.addWidget(self.label_11, 10, 0, 1, 1)
        self.mimetypeEdit = QtWidgets.QLineEdit(parent=self.basicTab)
        self.mimetypeEdit.setClearButtonEnabled(True)
        self.mimetypeEdit.setObjectName("mimetypeEdit")
        self.gridLayout.addWidget(self.mimetypeEdit, 10, 1, 1, 3)
        self.label_8 = QtWidgets.QLabel(parent=self.basicTab)
        self.label_8.setObjectName("label_8")
        self.gridLayout.addWidget(self.label_8, 11, 0, 1, 1)
        self.categoriesEdit = QtWidgets.QLineEdit(parent=self.basicTab)
        self.categoriesEdit.setClearButtonEnabled(True)
        self.categoriesEdit.setObjectName("categoriesEdit")
        self.gridLayout.addWidget(self.categoriesEdit, 11, 1, 1, 2)
        self.categoriesButton = QtWidgets.QToolButton(parent=self.basicTab)
        self.categoriesButton.setObjectName("categoriesButton")
        self.gridLayout.addWidget(self.categoriesButton, 11, 3, 1, 1)
        self.label_13 = QtWidgets.QLabel(parent=self.basicTab)
        self.label_13.setObjectName("label_13")
        self.gridLayout.addWidget(self.label_13, 12, 0, 1, 1)
        self.actionsEdit = QtWidgets.QLineEdit(parent=self.basicTab)
        self.actionsEdit.setClearButtonEnabled(True)
        self.actionsEdit.setObjectName("actionsEdit")
        self.gridLayout.addWidget(self.actionsEdit, 12, 1, 1, 3)
        self.label_14 = QtWidgets.QLabel(parent=self.basicTab)
        self.label_14.setObjectName("label_14")
        self.gridLayout.addWidget(self.label_14, 13, 0, 1, 1)
        self.onlyShowEdit = QtWidgets.QLineEdit(parent=self.basicTab)
        self.onlyShowEdit.setClearButtonEnabled(True)
        self.onlyShowEdit.setObjectName("onlyShowEdit")
        self.gridLayout.addWidget(self.onlyShowEdit, 13, 1, 1, 2)
        self.onlyShowButton = QtWidgets.QToolButton(parent=self.basicTab)
        self.onlyShowButton.setObjectName("onlyShowButton")
        self.gridLayout.addWidget(self.onlyShowButton, 13, 3, 1, 1)
        self.label_15 = QtWidgets.QLabel(parent=self.basicTab)
        self.label_15.setObjectName("label_15")
        self.gridLayout.addWidget(self.label_15, 14, 0, 1, 1)
        self.notShowEdit = QtWidgets.QLineEdit(parent=self.basicTab)
        self.notShowEdit.setClearButtonEnabled(True)
        self.notShowEdit.setObjectName("notShowEdit")
        self.gridLayout.addWidget(self.notShowEdit, 14, 1, 1, 2)
        self.notShowButton = QtWidgets.QToolButton(parent=self.basicTab)
        self.notShowButton.setObjectName("notShowButton")
        self.gridLayout.addWidget(self.notShowButton, 14, 3, 1, 1)
        spacerItem2 = QtWidgets.QSpacerItem(20, 4, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.gridLayout.addItem(spacerItem2, 15, 2, 1, 1)
        self.dataTabWidget.addTab(self.basicTab, "")
        self.kdeTab = QtWidgets.QWidget()
        self.kdeTab.setObjectName("kdeTab")
        self.gridLayout_2 = QtWidgets.QGridLayout(self.kdeTab)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.label_16 = QtWidgets.QLabel(parent=self.kdeTab)
        self.label_16.setObjectName("label_16")
        self.gridLayout_2.addWidget(self.label_16, 0, 0, 1, 1)
        self.kdeEncodingComboBox = QtWidgets.QComboBox(parent=self.kdeTab)
        self.kdeEncodingComboBox.setObjectName("kdeEncodingComboBox")
        self.gridLayout_2.addWidget(self.kdeEncodingComboBox, 0, 1, 1, 2)
        self.label_17 = QtWidgets.QLabel(parent=self.kdeTab)
        self.label_17.setObjectName("label_17")
        self.gridLayout_2.addWidget(self.label_17, 1, 0, 1, 1)
        self.kdeApiComboBox = QtWidgets.QComboBox(parent=self.kdeTab)
        self.kdeApiComboBox.setObjectName("kdeApiComboBox")
        self.gridLayout_2.addWidget(self.kdeApiComboBox, 1, 1, 1, 2)
        self.label_18 = QtWidgets.QLabel(parent=self.kdeTab)
        self.label_18.setObjectName("label_18")
        self.gridLayout_2.addWidget(self.label_18, 2, 0, 1, 1)
        self.kdeServiceTypeEdit = QtWidgets.QLineEdit(parent=self.kdeTab)
        self.kdeServiceTypeEdit.setText("Plasma/Applet")
        self.kdeServiceTypeEdit.setClearButtonEnabled(True)
        self.kdeServiceTypeEdit.setObjectName("kdeServiceTypeEdit")
        self.gridLayout_2.addWidget(self.kdeServiceTypeEdit, 2, 1, 1, 2)
        self.label_19 = QtWidgets.QLabel(parent=self.kdeTab)
        self.label_19.setObjectName("label_19")
        self.gridLayout_2.addWidget(self.label_19, 3, 0, 1, 1)
        self.kdeMainScriptEdit = QtWidgets.QLineEdit(parent=self.kdeTab)
        self.kdeMainScriptEdit.setClearButtonEnabled(True)
        self.kdeMainScriptEdit.setObjectName("kdeMainScriptEdit")
        self.gridLayout_2.addWidget(self.kdeMainScriptEdit, 3, 1, 1, 2)
        self.label_20 = QtWidgets.QLabel(parent=self.kdeTab)
        self.label_20.setObjectName("label_20")
        self.gridLayout_2.addWidget(self.label_20, 4, 0, 1, 1)
        self.kdeAuthorEdit = QtWidgets.QLineEdit(parent=self.kdeTab)
        self.kdeAuthorEdit.setClearButtonEnabled(True)
        self.kdeAuthorEdit.setObjectName("kdeAuthorEdit")
        self.gridLayout_2.addWidget(self.kdeAuthorEdit, 4, 1, 1, 2)
        self.label_21 = QtWidgets.QLabel(parent=self.kdeTab)
        self.label_21.setObjectName("label_21")
        self.gridLayout_2.addWidget(self.label_21, 5, 0, 1, 1)
        self.kdeEmailEdit = QtWidgets.QLineEdit(parent=self.kdeTab)
        self.kdeEmailEdit.setClearButtonEnabled(True)
        self.kdeEmailEdit.setObjectName("kdeEmailEdit")
        self.gridLayout_2.addWidget(self.kdeEmailEdit, 5, 1, 1, 2)
        self.label_23 = QtWidgets.QLabel(parent=self.kdeTab)
        self.label_23.setObjectName("label_23")
        self.gridLayout_2.addWidget(self.label_23, 6, 0, 1, 1)
        self.kdeNameEdit = QtWidgets.QLineEdit(parent=self.kdeTab)
        self.kdeNameEdit.setClearButtonEnabled(True)
        self.kdeNameEdit.setObjectName("kdeNameEdit")
        self.gridLayout_2.addWidget(self.kdeNameEdit, 6, 1, 1, 2)
        self.label_22 = QtWidgets.QLabel(parent=self.kdeTab)
        self.label_22.setObjectName("label_22")
        self.gridLayout_2.addWidget(self.label_22, 7, 0, 1, 1)
        self.kdeVersionEdit = QtWidgets.QLineEdit(parent=self.kdeTab)
        self.kdeVersionEdit.setClearButtonEnabled(True)
        self.kdeVersionEdit.setObjectName("kdeVersionEdit")
        self.gridLayout_2.addWidget(self.kdeVersionEdit, 7, 1, 1, 2)
        self.label_24 = QtWidgets.QLabel(parent=self.kdeTab)
        self.label_24.setObjectName("label_24")
        self.gridLayout_2.addWidget(self.label_24, 8, 0, 1, 1)
        self.kdeWebsiteEdit = QtWidgets.QLineEdit(parent=self.kdeTab)
        self.kdeWebsiteEdit.setClearButtonEnabled(True)
        self.kdeWebsiteEdit.setObjectName("kdeWebsiteEdit")
        self.gridLayout_2.addWidget(self.kdeWebsiteEdit, 8, 1, 1, 2)
        self.label_25 = QtWidgets.QLabel(parent=self.kdeTab)
        self.label_25.setObjectName("label_25")
        self.gridLayout_2.addWidget(self.label_25, 9, 0, 1, 1)
        self.kdeCategoryComboBox = QtWidgets.QComboBox(parent=self.kdeTab)
        self.kdeCategoryComboBox.setObjectName("kdeCategoryComboBox")
        self.gridLayout_2.addWidget(self.kdeCategoryComboBox, 9, 1, 1, 2)
        self.label_26 = QtWidgets.QLabel(parent=self.kdeTab)
        self.label_26.setObjectName("label_26")
        self.gridLayout_2.addWidget(self.label_26, 10, 0, 1, 1)
        self.kdeDependsEdit = QtWidgets.QLineEdit(parent=self.kdeTab)
        self.kdeDependsEdit.setClearButtonEnabled(True)
        self.kdeDependsEdit.setObjectName("kdeDependsEdit")
        self.gridLayout_2.addWidget(self.kdeDependsEdit, 10, 1, 1, 2)
        self.label_27 = QtWidgets.QLabel(parent=self.kdeTab)
        self.label_27.setObjectName("label_27")
        self.gridLayout_2.addWidget(self.label_27, 11, 0, 1, 1)
        self.kdeLicensEdit = QtWidgets.QLineEdit(parent=self.kdeTab)
        self.kdeLicensEdit.setText("GPLv3")
        self.kdeLicensEdit.setClearButtonEnabled(True)
        self.kdeLicensEdit.setObjectName("kdeLicensEdit")
        self.gridLayout_2.addWidget(self.kdeLicensEdit, 11, 1, 1, 2)
        self.label_28 = QtWidgets.QLabel(parent=self.kdeTab)
        self.label_28.setObjectName("label_28")
        self.gridLayout_2.addWidget(self.label_28, 12, 0, 1, 1)
        self.kdeEnabledDefaultCheckBox = QtWidgets.QCheckBox(parent=self.kdeTab)
        self.kdeEnabledDefaultCheckBox.setText("")
        self.kdeEnabledDefaultCheckBox.setObjectName("kdeEnabledDefaultCheckBox")
        self.gridLayout_2.addWidget(self.kdeEnabledDefaultCheckBox, 12, 1, 1, 1)
        spacerItem3 = QtWidgets.QSpacerItem(508, 17, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout_2.addItem(spacerItem3, 12, 2, 1, 1)
        spacerItem4 = QtWidgets.QSpacerItem(20, 37, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.gridLayout_2.addItem(spacerItem4, 13, 0, 1, 1)
        self.dataTabWidget.addTab(self.kdeTab, "")
        self.unityTab = QtWidgets.QWidget()
        self.unityTab.setObjectName("unityTab")
        self.gridLayout_3 = QtWidgets.QGridLayout(self.unityTab)
        self.gridLayout_3.setObjectName("gridLayout_3")
        self.label_29 = QtWidgets.QLabel(parent=self.unityTab)
        self.label_29.setObjectName("label_29")
        self.gridLayout_3.addWidget(self.label_29, 0, 0, 1, 1)
        self.unityShortcutsEdit = QtWidgets.QLineEdit(parent=self.unityTab)
        self.unityShortcutsEdit.setText("Next;Previous")
        self.unityShortcutsEdit.setClearButtonEnabled(True)
        self.unityShortcutsEdit.setObjectName("unityShortcutsEdit")
        self.gridLayout_3.addWidget(self.unityShortcutsEdit, 0, 1, 1, 1)
        spacerItem5 = QtWidgets.QSpacerItem(20, 382, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.gridLayout_3.addItem(spacerItem5, 1, 1, 1, 1)
        self.dataTabWidget.addTab(self.unityTab, "")
        self.verticalLayout.addWidget(self.dataTabWidget)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.projectButton = QtWidgets.QPushButton(parent=DotDesktopWizardDialog)
        self.projectButton.setObjectName("projectButton")
        self.horizontalLayout.addWidget(self.projectButton)
        spacerItem6 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout.addItem(spacerItem6)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=DotDesktopWizardDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.horizontalLayout.addWidget(self.buttonBox)
        self.verticalLayout.addLayout(self.horizontalLayout)

        self.retranslateUi(DotDesktopWizardDialog)
        self.dataTabWidget.setCurrentIndex(0)
        self.buttonBox.accepted.connect(DotDesktopWizardDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(DotDesktopWizardDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(DotDesktopWizardDialog)
        DotDesktopWizardDialog.setTabOrder(self.typeComboBox, self.dataTabWidget)
        DotDesktopWizardDialog.setTabOrder(self.dataTabWidget, self.typeEdit)
        DotDesktopWizardDialog.setTabOrder(self.typeEdit, self.versionEdit)
        DotDesktopWizardDialog.setTabOrder(self.versionEdit, self.nameEdit)
        DotDesktopWizardDialog.setTabOrder(self.nameEdit, self.genericNameEdit)
        DotDesktopWizardDialog.setTabOrder(self.genericNameEdit, self.commentEdit)
        DotDesktopWizardDialog.setTabOrder(self.commentEdit, self.iconFileEdit)
        DotDesktopWizardDialog.setTabOrder(self.iconFileEdit, self.tryExecEdit)
        DotDesktopWizardDialog.setTabOrder(self.tryExecEdit, self.execEdit)
        DotDesktopWizardDialog.setTabOrder(self.execEdit, self.pathEdit)
        DotDesktopWizardDialog.setTabOrder(self.pathEdit, self.terminalCheckBox)
        DotDesktopWizardDialog.setTabOrder(self.terminalCheckBox, self.mimetypeEdit)
        DotDesktopWizardDialog.setTabOrder(self.mimetypeEdit, self.categoriesEdit)
        DotDesktopWizardDialog.setTabOrder(self.categoriesEdit, self.categoriesButton)
        DotDesktopWizardDialog.setTabOrder(self.categoriesButton, self.actionsEdit)
        DotDesktopWizardDialog.setTabOrder(self.actionsEdit, self.onlyShowEdit)
        DotDesktopWizardDialog.setTabOrder(self.onlyShowEdit, self.onlyShowButton)
        DotDesktopWizardDialog.setTabOrder(self.onlyShowButton, self.notShowEdit)
        DotDesktopWizardDialog.setTabOrder(self.notShowEdit, self.notShowButton)
        DotDesktopWizardDialog.setTabOrder(self.notShowButton, self.kdeEncodingComboBox)
        DotDesktopWizardDialog.setTabOrder(self.kdeEncodingComboBox, self.kdeApiComboBox)
        DotDesktopWizardDialog.setTabOrder(self.kdeApiComboBox, self.kdeServiceTypeEdit)
        DotDesktopWizardDialog.setTabOrder(self.kdeServiceTypeEdit, self.kdeMainScriptEdit)
        DotDesktopWizardDialog.setTabOrder(self.kdeMainScriptEdit, self.kdeAuthorEdit)
        DotDesktopWizardDialog.setTabOrder(self.kdeAuthorEdit, self.kdeEmailEdit)
        DotDesktopWizardDialog.setTabOrder(self.kdeEmailEdit, self.kdeNameEdit)
        DotDesktopWizardDialog.setTabOrder(self.kdeNameEdit, self.kdeVersionEdit)
        DotDesktopWizardDialog.setTabOrder(self.kdeVersionEdit, self.kdeWebsiteEdit)
        DotDesktopWizardDialog.setTabOrder(self.kdeWebsiteEdit, self.kdeCategoryComboBox)
        DotDesktopWizardDialog.setTabOrder(self.kdeCategoryComboBox, self.kdeDependsEdit)
        DotDesktopWizardDialog.setTabOrder(self.kdeDependsEdit, self.kdeLicensEdit)
        DotDesktopWizardDialog.setTabOrder(self.kdeLicensEdit, self.kdeEnabledDefaultCheckBox)
        DotDesktopWizardDialog.setTabOrder(self.kdeEnabledDefaultCheckBox, self.unityShortcutsEdit)
        DotDesktopWizardDialog.setTabOrder(self.unityShortcutsEdit, self.projectButton)
        DotDesktopWizardDialog.setTabOrder(self.projectButton, self.buttonBox)

    def retranslateUi(self, DotDesktopWizardDialog):
        _translate = QtCore.QCoreApplication.translate
        DotDesktopWizardDialog.setWindowTitle(_translate("DotDesktopWizardDialog", ".desktop Wizard"))
        self.label.setText(_translate("DotDesktopWizardDialog", ".desktop File Type:"))
        self.typeComboBox.setToolTip(_translate("DotDesktopWizardDialog", "Select a target .desktop file format"))
        self.label_3.setText(_translate("DotDesktopWizardDialog", "Type:"))
        self.typeEdit.setToolTip(_translate("DotDesktopWizardDialog", "Enter the type"))
        self.typeEdit.setPlaceholderText(_translate("DotDesktopWizardDialog", "Mandatory"))
        self.label_2.setText(_translate("DotDesktopWizardDialog", "Version:"))
        self.versionEdit.setToolTip(_translate("DotDesktopWizardDialog", "Enter the version of the .desktop specification"))
        self.label_4.setText(_translate("DotDesktopWizardDialog", "Name:"))
        self.nameEdit.setToolTip(_translate("DotDesktopWizardDialog", "Enter the application name"))
        self.nameEdit.setPlaceholderText(_translate("DotDesktopWizardDialog", "Mandatory"))
        self.label_5.setText(_translate("DotDesktopWizardDialog", "Generic Name:"))
        self.genericNameEdit.setToolTip(_translate("DotDesktopWizardDialog", "Enter the generic application name"))
        self.label_6.setText(_translate("DotDesktopWizardDialog", "Comment:"))
        self.commentEdit.setToolTip(_translate("DotDesktopWizardDialog", "Enter a comment"))
        self.label_7.setText(_translate("DotDesktopWizardDialog", "Icon:"))
        self.iconFileEdit.setToolTip(_translate("DotDesktopWizardDialog", "Enter the icon file name"))
        self.label_10.setText(_translate("DotDesktopWizardDialog", "Try Exec:"))
        self.tryExecEdit.setToolTip(_translate("DotDesktopWizardDialog", "Enter an executable command used to determine the application\'s presence"))
        self.label_9.setText(_translate("DotDesktopWizardDialog", "Exec:"))
        self.execEdit.setToolTip(_translate("DotDesktopWizardDialog", "Enter the executable command"))
        self.label_30.setText(_translate("DotDesktopWizardDialog", "Path:"))
        self.pathEdit.setToolTip(_translate("DotDesktopWizardDialog", "Enter the working directory"))
        self.label_12.setText(_translate("DotDesktopWizardDialog", "Execute in Terminal:"))
        self.terminalCheckBox.setToolTip(_translate("DotDesktopWizardDialog", "Select to execute the application in a terminal"))
        self.label_11.setText(_translate("DotDesktopWizardDialog", "Mimetype:"))
        self.mimetypeEdit.setToolTip(_translate("DotDesktopWizardDialog", "Enter the mime type"))
        self.label_8.setText(_translate("DotDesktopWizardDialog", "Categories:"))
        self.categoriesEdit.setToolTip(_translate("DotDesktopWizardDialog", "Enter the list of categories separated by \';\'"))
        self.categoriesButton.setToolTip(_translate("DotDesktopWizardDialog", "Press to select the categories via a dialog"))
        self.label_13.setText(_translate("DotDesktopWizardDialog", "Actions:"))
        self.actionsEdit.setToolTip(_translate("DotDesktopWizardDialog", "Enter the list of actions separated by \';\'"))
        self.label_14.setText(_translate("DotDesktopWizardDialog", "Only Show In:"))
        self.onlyShowEdit.setToolTip(_translate("DotDesktopWizardDialog", "Enter the list of environments to show in separated by \';\'"))
        self.onlyShowEdit.setPlaceholderText(_translate("DotDesktopWizardDialog", "Only one of \'Only Show In\' or \'Not Show In\' allowed"))
        self.onlyShowButton.setToolTip(_translate("DotDesktopWizardDialog", "Press to select the environments via a dialog"))
        self.label_15.setText(_translate("DotDesktopWizardDialog", "Not Show In:"))
        self.notShowEdit.setToolTip(_translate("DotDesktopWizardDialog", "Enter the list of environments to not show in separated by \';\'"))
        self.notShowEdit.setPlaceholderText(_translate("DotDesktopWizardDialog", "Only one of \'Only Show In\' or \'Not Show In\' allowed"))
        self.notShowButton.setToolTip(_translate("DotDesktopWizardDialog", "Press to select the environments via a dialog"))
        self.dataTabWidget.setTabText(self.dataTabWidget.indexOf(self.basicTab), _translate("DotDesktopWizardDialog", "Basic"))
        self.label_16.setText(_translate("DotDesktopWizardDialog", "Encoding:"))
        self.kdeEncodingComboBox.setToolTip(_translate("DotDesktopWizardDialog", "Select the encoding of the file"))
        self.label_17.setText(_translate("DotDesktopWizardDialog", "API:"))
        self.kdeApiComboBox.setToolTip(_translate("DotDesktopWizardDialog", "Select the Plasma API"))
        self.label_18.setText(_translate("DotDesktopWizardDialog", "Service Type:"))
        self.kdeServiceTypeEdit.setToolTip(_translate("DotDesktopWizardDialog", "Enter the service type"))
        self.label_19.setText(_translate("DotDesktopWizardDialog", "Main Script:"))
        self.kdeMainScriptEdit.setToolTip(_translate("DotDesktopWizardDialog", "Enter the main script name"))
        self.label_20.setText(_translate("DotDesktopWizardDialog", "Author:"))
        self.kdeAuthorEdit.setToolTip(_translate("DotDesktopWizardDialog", "Enter the author\'s name"))
        self.label_21.setText(_translate("DotDesktopWizardDialog", "Email:"))
        self.kdeEmailEdit.setToolTip(_translate("DotDesktopWizardDialog", "Enter the auhor email"))
        self.label_23.setText(_translate("DotDesktopWizardDialog", "Name:"))
        self.kdeNameEdit.setToolTip(_translate("DotDesktopWizardDialog", "Enter the application name"))
        self.label_22.setText(_translate("DotDesktopWizardDialog", "Version:"))
        self.kdeVersionEdit.setToolTip(_translate("DotDesktopWizardDialog", "Enter the version number in the form \'major.minor[.patch[.sub]]\'"))
        self.label_24.setText(_translate("DotDesktopWizardDialog", "Website:"))
        self.kdeWebsiteEdit.setToolTip(_translate("DotDesktopWizardDialog", "Enter the URL of the website"))
        self.label_25.setText(_translate("DotDesktopWizardDialog", "Category:"))
        self.kdeCategoryComboBox.setToolTip(_translate("DotDesktopWizardDialog", "Select a category"))
        self.label_26.setText(_translate("DotDesktopWizardDialog", "Depends:"))
        self.kdeDependsEdit.setToolTip(_translate("DotDesktopWizardDialog", "Enter the list of dependancies separated by \';\'"))
        self.label_27.setText(_translate("DotDesktopWizardDialog", "License:"))
        self.kdeLicensEdit.setToolTip(_translate("DotDesktopWizardDialog", "Enter the license type"))
        self.label_28.setText(_translate("DotDesktopWizardDialog", "Enabled by Default:"))
        self.kdeEnabledDefaultCheckBox.setToolTip(_translate("DotDesktopWizardDialog", "Select to enable this by default"))
        self.dataTabWidget.setTabText(self.dataTabWidget.indexOf(self.kdeTab), _translate("DotDesktopWizardDialog", "KDE Plasma"))
        self.label_29.setText(_translate("DotDesktopWizardDialog", "X-Ayatana-Desktop-Shortcuts:"))
        self.unityShortcutsEdit.setToolTip(_translate("DotDesktopWizardDialog", "Enter the desktop shortcuts separated by \';\'"))
        self.dataTabWidget.setTabText(self.dataTabWidget.indexOf(self.unityTab), _translate("DotDesktopWizardDialog", "Unity"))
        self.projectButton.setToolTip(_translate("DotDesktopWizardDialog", "Press to populate entry fields from project data"))
        self.projectButton.setText(_translate("DotDesktopWizardDialog", "Populate from Project"))
